commit:     3bf6fe4b23fa355c815d8624e799647866d12777
Author:     Henrik Pihl <ahvenas <AT> gmail <DOT> com>
AuthorDate: Sun Aug  2 19:38:54 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Aug  6 19:11:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3bf6fe4b

media-fonts/font-misc-ethiopic: upgrade to EAPI 7 and xorg-3 eclass

Package-Manager: Portage-3.0.1, Repoman-2.3.23
Signed-off-by: Henrik Pihl <ahvenas <AT> gmail.com>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 .../font-misc-ethiopic-1.0.3-r2.ebuild               | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

diff --git a/media-fonts/font-misc-ethiopic/font-misc-ethiopic-1.0.3-r2.ebuild 
b/media-fonts/font-misc-ethiopic/font-misc-ethiopic-1.0.3-r2.ebuild
new file mode 100644
index 00000000000..69981adc3df
--- /dev/null
+++ b/media-fonts/font-misc-ethiopic/font-misc-ethiopic-1.0.3-r2.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+FONT_DIR="OTF"
+
+inherit xorg-3
+
+DESCRIPTION="Miscellaneous Ethiopic fonts"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sparc ~x86"
+
+FONT_OPTIONS="--with-otf-fontdir=${EPREFIX}/usr/share/fonts/OTF"
+
+src_install() {
+       xorg-3_src_install
+       # TTF fonts are not supposed to be installed.
+       # Also fixes file collision per bug #309689
+       rm -r "${ED}/usr/share/fonts/TTF" || die
+}

Reply via email to